## Package Win32::GUI::Brush

Back to the Packages

- Constructor

  - new Win32::GUI::Brush(COLOR | %OPTIONS)

- Methods

  - Info()

### Constructor

new Win32::GUI::Brush(COLOR | %OPTIONS)

  Creates a new Brush object. Allowed `%OPTIONS` are:

        -style =>
          0 BS_SOLID
          1 BS_NULL
          2 BS_HATCHED
          3 BS_PATTERN
        -pattern => Win32::GUI::Bitmap object (valid for -style => BS_PATTERN)
        -hatch => (valid for -style => BS_HATCHED)
          0 HS_ORIZONTAL (-----)
          1 HS_VERTICAL  (|||||)
          2 HS_FDIAGONAL (\\\\\)
          3 HS_BDIAGONAL (/////)
          4 HS_CROSS     (+++++)
          5 HS_DIAGCROSS (xxxxx)
        -color => COLOR

### Methods

Info()

  Returns an associative array of information about the Brush object, with the same options given when creating the Brush.